Skip to content
Last updated

Get and update per-stream sync settings for a connection.

Get stream configuration

GEThttps://api.aitronos.com/v1/organizations/{organization_id}/knowledge/connectors/connections/{connection_id}/stream-config

Returns the per-stream sync settings (sync mode, cursor field, primary key, field selection) for a connection.

Path Parameters

connection_id string required

The connection ID.


Update stream configuration

PATCHhttps://api.aitronos.com/v1/organizations/{organization_id}/knowledge/connectors/connections/{connection_id}/stream-config

Update sync mode, cursor, primary key, or field selection per stream.

Request Body

streams array required

Array of per-stream sync settings. Each entry can include stream_name, sync_mode, cursor_field, primary_key, and selected_fields.


Returns

A stream configuration object containing a streams array with per-stream settings.

cURL
curl "https://api.aitronos.com/v1/organizations/org_xyz789/knowledge/connectors/connections/conn_abc123/stream-config" \
  -H "Authorization: Bearer $ACCESS_TOKEN"